Cria um novo comentário
curl --request POST \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "507f1f77bcf86cd799439011",
"message": "Cliente pediu retorno até sexta-feira.",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request"
}
'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/comments"
payload = {
"user": "507f1f77bcf86cd799439011",
"message": "Cliente pediu retorno até sexta-feira.",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: '507f1f77bcf86cd799439011',
message: 'Cliente pediu retorno até sexta-feira.',
parentId: '507f1f77bcf86cd799439014',
parentType: 'request'
})
};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user' => '507f1f77bcf86cd799439011',
'message' => 'Cliente pediu retorno até sexta-feira.',
'parentId' => '507f1f77bcf86cd799439014',
'parentType' => 'request'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/comments"
payload := strings.NewReader("{\n \"user\": \"507f1f77bcf86cd799439011\",\n \"message\": \"Cliente pediu retorno até sexta-feira.\",\n \"parentId\": \"507f1f77bcf86cd799439014\",\n \"parentType\": \"request\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://backend-pied-prod.piedadmin.com.br/api/v2/comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user\": \"507f1f77bcf86cd799439011\",\n \"message\": \"Cliente pediu retorno até sexta-feira.\",\n \"parentId\": \"507f1f77bcf86cd799439014\",\n \"parentType\": \"request\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user\": \"507f1f77bcf86cd799439011\",\n \"message\": \"Cliente pediu retorno até sexta-feira.\",\n \"parentId\": \"507f1f77bcf86cd799439014\",\n \"parentType\": \"request\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "507f1f77bcf86cd799439016",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request",
"createdAt": "2026-08-31T10:00:00.000Z",
"message": "Cliente pediu retorno até sexta-feira.",
"fixed": false,
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
},
"replies": [
{
"id": "507f1f77bcf86cd799439015",
"commentId": "507f1f77bcf86cd799439016",
"createdAt": "2026-08-31T12:00:00.000Z",
"message": "Cliente confirmou recebimento.",
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
}
}
]
}
}Comentários
Cria um novo comentário
POST
/
comments
Cria um novo comentário
curl --request POST \
--url https://backend-pied-prod.piedadmin.com.br/api/v2/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "507f1f77bcf86cd799439011",
"message": "Cliente pediu retorno até sexta-feira.",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request"
}
'import requests
url = "https://backend-pied-prod.piedadmin.com.br/api/v2/comments"
payload = {
"user": "507f1f77bcf86cd799439011",
"message": "Cliente pediu retorno até sexta-feira.",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: '507f1f77bcf86cd799439011',
message: 'Cliente pediu retorno até sexta-feira.',
parentId: '507f1f77bcf86cd799439014',
parentType: 'request'
})
};
fetch('https://backend-pied-prod.piedadmin.com.br/api/v2/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend-pied-prod.piedadmin.com.br/api/v2/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user' => '507f1f77bcf86cd799439011',
'message' => 'Cliente pediu retorno até sexta-feira.',
'parentId' => '507f1f77bcf86cd799439014',
'parentType' => 'request'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend-pied-prod.piedadmin.com.br/api/v2/comments"
payload := strings.NewReader("{\n \"user\": \"507f1f77bcf86cd799439011\",\n \"message\": \"Cliente pediu retorno até sexta-feira.\",\n \"parentId\": \"507f1f77bcf86cd799439014\",\n \"parentType\": \"request\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://backend-pied-prod.piedadmin.com.br/api/v2/comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user\": \"507f1f77bcf86cd799439011\",\n \"message\": \"Cliente pediu retorno até sexta-feira.\",\n \"parentId\": \"507f1f77bcf86cd799439014\",\n \"parentType\": \"request\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend-pied-prod.piedadmin.com.br/api/v2/comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user\": \"507f1f77bcf86cd799439011\",\n \"message\": \"Cliente pediu retorno até sexta-feira.\",\n \"parentId\": \"507f1f77bcf86cd799439014\",\n \"parentType\": \"request\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "507f1f77bcf86cd799439016",
"parentId": "507f1f77bcf86cd799439014",
"parentType": "request",
"createdAt": "2026-08-31T10:00:00.000Z",
"message": "Cliente pediu retorno até sexta-feira.",
"fixed": false,
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
},
"replies": [
{
"id": "507f1f77bcf86cd799439015",
"commentId": "507f1f77bcf86cd799439016",
"createdAt": "2026-08-31T12:00:00.000Z",
"message": "Cliente confirmou recebimento.",
"edited": false,
"user": {
"id": "507f1f77bcf86cd799439011",
"fullName": "João Silva"
}
}
]
}
}🚀 API v2 (Recomendada) - Este endpoint está disponível apenas na v2
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID do usuário autor do comentário
Example:
"507f1f77bcf86cd799439011"
Example:
"Cliente pediu retorno até sexta-feira."
Example:
"507f1f77bcf86cd799439014"
Available options:
request, company, call, rehearse Example:
"request"